Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytype
Class CharacterType

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.BaseType
              mycompiler.mytype.CharacterType

    public class CharacterType

extends BaseType

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, name, used`

Constructor Summary
`CharacterType()`

Method Summary
`CharacterType` | `clone()` Author: J�rg B�uerle
`boolean` | `equals(java.lang.Object obj)` Author: J�rg B�uerle

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_Name, get_UsedId, getName, set_UsedId, toString, Type2Key, Type2String`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharacterType

    public CharacterType()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `BaseType`
  Parameters:
    `Object` -
  Returns:

### clone

    public CharacterType clone()

  Author: J�rg B�uerle

  Specified by:
    `clone` in class `BaseType`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD